Per-track ReplayGain shouldn't be enabled by default

March 15, 2021 15:35 - Damian Höster

Status: Rejected Start date: March 15, 2021

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 4.1   

Description

It can cause huge loudness jumps between tracks, which is a big problem when listening to albums with transitions between tracks.

On Pink Floyd's album "The Dark Side of the Moon" I get an extreme 17dB loudness decrease between "Speak To Me" and "Breath"

when per-track ReplayGain is enabled, which is how I noticed this issue.

With the exception of badly mastered compilation albums, per-album ReplayGain is generally preferable anyway, since not all tracks

are meant to have the same loudness.

History

#1 - March 15, 2021 23:01 - John Lindgren

- Status changed from New to Rejected

If you don't like the default setting, change it. That's why it's a setting.

Not a bug.

#2 - March 19, 2021 22:38 - Damian Höster

John Lindgren wrote:

If you don't like the default setting, change it. That's why it's a setting.

Not a bug.

 

It was a feature request, to change the default setting.

The current default is problematic, it ruins the listening experience for every album with seamless track transitions, provided the tracks are encoded

into separate files with ReplayGain metadata. I at first thought there was something wrong with my audio files, or with Audacious, then I remembered

about ReplayGain. Someone who doesn't know about ReplayGain will probably just uninstall Audacious and avoid using it in the future.

As I already explained, I think per-Album ReplayGain is the superior choice in pretty much any situation and should be the default. ReplayGain being

disabled by default is also fine.

#3 - March 21, 2021 15:39 - Damian Höster

Just saw that I could have opened this as a feature request. Didn't see that option.

July 05, 2025 1/2



Should I reopen this as a new feature request?
